import * as firebase from "firebase";
import { MockAuth } from "../auth";
import { MockFirestore } from "../firestore";
export declare class MockApp implements firebase.app.App {
    readonly name: string;
    readonly options: {};
    private authInstance;
    private firestoreInstance;
    constructor(name: string, options?: {});
    analytics(): firebase.analytics.Analytics;
    auth(): MockAuth;
    database(): firebase.database.Database;
    delete(): Promise<any>;
    firestore(): MockFirestore;
    functions(): firebase.functions.Functions;
    installations(): firebase.installations.Installations;
    messaging(): firebase.messaging.Messaging;
    performance(): firebase.performance.Performance;
    remoteConfig(): firebase.remoteConfig.RemoteConfig;
    storage(): firebase.storage.Storage;
}
