export declare type Errors = "auth/auth-domain-config-required" | "auth/cancelled-popup-request" | "auth/operation-not-supported-in-this-environment" | "auth/popup-blocked" | "auth/popup-closed-by-user" | "auth/unauthorized-domain";
export declare class SocialSignInMock {
    readonly type: string;
    response: Promise<{
        displayName: string;
        email: string;
    }>;
    constructor(type: string);
    respondWithError(error: Errors): void;
    respondWithUser(displayName: string, email: string): void;
}
