"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocialSignInMock = void 0;
class SocialSignInMock {
    constructor(type) {
        this.type = type;
    }
    respondWithError(error) {
        this.response = Promise.reject(new Error(error));
    }
    respondWithUser(displayName, email) {
        this.response = Promise.resolve({ displayName, email });
    }
}
exports.SocialSignInMock = SocialSignInMock;
//# sourceMappingURL=social-signin-mock.js.map