"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserCredential = void 0;
class UserCredential {
    constructor(user, operationType, { isNewUser }) {
        this.user = user;
        this.operationType = operationType;
        this.additionalUserInfo = null;
        this.credential = null;
        if (!user.isAnonymous) {
            this.additionalUserInfo = {
                isNewUser,
                profile: null,
                // providerId should be at the right value in the user object already.
                providerId: user.providerId,
                username: user.email,
            };
        }
    }
}
exports.UserCredential = UserCredential;
//# sourceMappingURL=user-credential.js.map