import * as firebase from "firebase";
import { MockQuery } from "./query";
import { MockQueryDocumentSnapshot } from "./document-snapshot";
export declare class MockQuerySnapshot<T = firebase.firestore.DocumentData> implements firebase.firestore.QuerySnapshot<T> {
    readonly query: MockQuery<T>;
    readonly docs: MockQueryDocumentSnapshot<T>[];
    private readonly previousSnapshot?;
    readonly metadata: firebase.firestore.SnapshotMetadata;
    get size(): number;
    get empty(): boolean;
    constructor(query: MockQuery<T>, docs: MockQueryDocumentSnapshot<T>[], previousSnapshot?: MockQuerySnapshot<T> | undefined);
    docChanges(options?: firebase.firestore.SnapshotListenOptions | undefined): firebase.firestore.DocumentChange<T>[];
    forEach(callback: (result: firebase.firestore.QueryDocumentSnapshot<T>) => void, thisArg?: any): void;
    isEqual(other: firebase.firestore.QuerySnapshot<T>): boolean;
}
