import { User } from "./user";
export interface UserCredentialOptions {
    isNewUser: boolean;
}
export declare class UserCredential implements firebase.auth.UserCredential {
    readonly user: User;
    readonly operationType: "signIn" | "link" | "reauthenticate";
    readonly additionalUserInfo: firebase.auth.AdditionalUserInfo | null;
    readonly credential: null;
    constructor(user: User, operationType: "signIn" | "link" | "reauthenticate", { isNewUser }: UserCredentialOptions);
}
