"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_DATA_CONVERTER = void 0;
const document_snapshot_1 = require("./document-snapshot");
exports.DEFAULT_DATA_CONVERTER = {
    fromFirestore(snapshot) {
        if (!(snapshot instanceof document_snapshot_1.MockQueryDocumentSnapshot)) {
            throw new Error("Can't convert from non-mocked Firestore");
        }
        return snapshot._data;
    },
    toFirestore(modelObject) {
        return modelObject;
    },
};
//# sourceMappingURL=data-converter.js.map