import * as firebase from "firebase";
import { MockDocumentReference } from "./document-reference";
import { MockFirestore } from "./firestore";
export declare class MockWriteBatch implements firebase.firestore.WriteBatch {
    private readonly firestore;
    private readonly operations;
    constructor(firestore: MockFirestore);
    set<T>(doc: MockDocumentReference<T>, data: T, options?: firebase.firestore.SetOptions | undefined): firebase.firestore.WriteBatch;
    update(documentRef: firebase.firestore.DocumentReference<any>, data: firebase.firestore.UpdateData): firebase.firestore.WriteBatch;
    update(documentRef: firebase.firestore.DocumentReference<any>, field: string | firebase.firestore.FieldPath, value: any, ...moreFieldsAndValues: any[]): firebase.firestore.WriteBatch;
    delete(doc: MockDocumentReference<any>): firebase.firestore.WriteBatch;
    commit(): Promise<void>;
}
