export interface Listener {
    (...args: any[]): void;
}
export declare class EventEmitter {
    private listeners;
    hasListeners(event: string): boolean;
    off(event: string, listener: Listener): void;
    on(event: string, listener: Listener): void;
    emit(event: string, args?: any[]): void;
}
